import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { ANIMATION, BOX_SHADOWS, BREAKPOINTS, COLORS, SPACING } from '../../constants';
var border = "1px solid ".concat(COLORS.border);
export var Container =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb0"
})("box-shadow:", BOX_SHADOWS.boxShadow4, ";background-color:", COLORS.white, ";max-width:", BREAKPOINTS.md, "px;");
export var Content =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb1"
})("padding:", SPACING.small, ";width:100%;");
export var ExpansionWrapper =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb2"
})("max-height:", function (_ref) {
  var contentHeight = _ref.contentHeight;
  return contentHeight;
}, ";overflow:hidden;transition:max-height ", ANIMATION.defaultTiming, " ease-in-out;");

var getBorderStyle = function getBorderStyle(isOpen) {
  return (
    /*#__PURE__*/
    css("border:", border, ";", ExpansionWrapper, "{", isOpen && "border-top: ".concat(border, ";"), ";}")
  );
};

export var AccordionBox =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb3"
})(function (_ref2) {
  var noBorder = _ref2.noBorder,
      isOpen = _ref2.isOpen;
  return !noBorder && getBorderStyle(isOpen);
}, ";width:100%;&:not(:last-child){border-bottom:none;}", function (_ref3) {
  var disabled = _ref3.disabled;
  return disabled && "\n    opacity: 0.4;\n    background-color: ".concat(COLORS.disabled, ";\n    border-color: ").concat(COLORS.purple30, ";\n  ");
}, ";");
export var ArrowWrapper =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb4"
})("display:flex;align-items:center;padding:0 ", SPACING.small, ";");
export var TitleWrapper =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb5"
})("display:flex;justify-content:space-between;cursor:", function (_ref4) {
  var disabled = _ref4.disabled;
  return disabled ? 'not-allowed' : 'pointer';
}, ";");
export var Truncate =
/*#__PURE__*/
styled("div", {
  target: "e1e9vyhb6"
})("overflow:hidden;white-space:nowrap;text-overflow:ellipsis;width:100%;");