import styled from '@emotion/styled';
import { css, keyframes } from '@emotion/core';
import { COLORS, MEDIA_QUERIES, BOX_SHADOWS, SPACING, ANIMATION, TYPOGRAPHY_CONSTANTS } from '../../constants';
var fadeInDesktop =
/*#__PURE__*/
keyframes("from{opacity:0;transform:translate3d(24px,0,0);}to{opacity:1;transform:translate3d(0,0,0);}");
var fadeInMobile =
/*#__PURE__*/
keyframes("from{opacity:0;transform:translate3d(0,-24px,0);}to{opacity:1;transform:translate3d(0,0px,0);}");
var successAlertStyles =
/*#__PURE__*/
css("background-color:", COLORS.statusGreenBackground, ";border-color:", COLORS.statusGreenBorder, ";color:", COLORS.statusGreen, ";fill:", COLORS.statusGreen, ";");
var errorAlertStyles =
/*#__PURE__*/
css("background-color:", COLORS.statusRedBackground, ";border-color:", COLORS.statusRedBorder, ";color:", COLORS.statusRed, ";fill:", COLORS.statusRed, ";");
var defaultAlertStyles =
/*#__PURE__*/
css("background-color:", COLORS.statusGreyBackground, ";border-color:", COLORS.statusGreyBorder, ";color:", COLORS.statusGrey, ";fill:", COLORS.statusGrey, ";");
export var AlertContainer =
/*#__PURE__*/
styled("div", {
  target: "e1h5ty1f0"
})("align-items:flex-start;animation:", fadeInMobile, " ", ANIMATION.defaultTiming, " 1;border-width:1px;border-style:solid;box-shadow:", BOX_SHADOWS.message, ";cursor:pointer;display:flex;font-size:", TYPOGRAPHY_CONSTANTS.fontSize.caption, ";justify-content:space-around;margin:0 auto ", SPACING.xsmall, ";opacity:", function (props) {
  return props.exiting ? '0' : '1';
}, ";padding:", SPACING.xsmall, " 0px;position:relative;text-align:left;transform:", function (props) {
  return props.exiting ? 'translate3d(0, -24px, 0)' : 'translate3d(0, 0, 0)';
}, ";transition:", ANIMATION.defaultTiming, ";width:327px;", function (props) {
  switch (props.alertType) {
    case 'danger':
      return errorAlertStyles;

    case 'success':
      return successAlertStyles;

    default:
      return defaultAlertStyles;
  }
}, " ", MEDIA_QUERIES.lgUp, "{animation:", fadeInDesktop, " ", ANIMATION.defaultTiming, " 1;font-size:", TYPOGRAPHY_CONSTANTS.fontSize.caption, ";margin-bottom:", SPACING.small, ";padding:", SPACING.xsmall, " 0px;transform:", function (props) {
  return props.exiting ? 'translate3d(24px, 0, 0)' : 'translate3d(0, 0, 0)';
}, ";}");
export var AlertsContainer =
/*#__PURE__*/
styled("div", {
  target: "e1h5ty1f1"
})("align-items:flex-end;display:flex;flex-direction:column;left:0;position:fixed;right:0;top:", SPACING.small, ";z-index:99999;", MEDIA_QUERIES.mdUp, "{left:auto;right:", SPACING.small, ";top:", SPACING.small, ";}");
export var AlertContentContainer =
/*#__PURE__*/
styled("div", {
  target: "e1h5ty1f2"
})("display:flex;padding:", SPACING.xxsmall, " ", SPACING.base, ";width:100%;");
export var alertIconStyles =
/*#__PURE__*/
css("margin:2.5px ", SPACING.base, " 0px 0px;min-height:", SPACING.small, ";min-width:", SPACING.small, ";");