import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { style as TYPOGRAPHY_STYLE } from '../typography';
import { ANIMATION, COLORS, SPACING } from '../../constants';
var primaryStyles =
/*#__PURE__*/
css("background-color:", COLORS.purple, ";border-color:", COLORS.purple, ";color:", COLORS.white, ";fill:", COLORS.white, ";&:visited,&:hover{opacity:0.8;}&:focus,&:not([href]):not([tabindex]):hover,&:not([href]):not([tabindex]):focus{color:", COLORS.white, ";}");

var secondaryStyles = function secondaryStyles(loading) {
  return (
    /*#__PURE__*/
    css("background-color:transparent;border-color:", COLORS.purple, ";color:", COLORS.purple, ";fill:", COLORS.purple, ";&:hover,&:focus,&:not([href]):not([tabindex]):hover,&:not([href]):not([tabindex]):focus{background-color:", loading ? 'inherit' : COLORS.primary, ";color:", loading ? COLORS.primary : COLORS.white, ";fill:", loading ? 'inherit' : COLORS.white, ";}")
  );
};

var tertiaryStyles =
/*#__PURE__*/
css("border-color:transparent;background-color:transparent;color:", COLORS.primary, ";&:hover{opacity:0.8;background-color:transparent;}");
var quaternaryStyles =
/*#__PURE__*/
css("border-color:transparent;background-color:transparent;color:", COLORS.purple60, ";fill:", COLORS.purple60, ";&:hover{opacity:0.8;background-color:transparent;}");
var loadingStyles =
/*#__PURE__*/
css("cursor:not-allowed;&:hover{opacity:1;}");
var disabledStyles =
/*#__PURE__*/
css("background-color:", COLORS.disabled, ";border-color:", COLORS.disabled, ";color:", COLORS.textDisabled, ";cursor:not-allowed;fill:", COLORS.textDisabled, ";&:visited,&:hover{opacity:1;color:", COLORS.textDisabled, ";}");

function parseTheme(disabled, buttonType, loading) {
  if (disabled) {
    return disabledStyles;
  }

  switch (buttonType) {
    case 'secondary':
      return secondaryStyles(loading);

    case 'tertiary':
      return tertiaryStyles;

    case 'quaternary':
      return quaternaryStyles;

    default:
      return primaryStyles;
  }
}

var baseButtonStyles = function baseButtonStyles(_ref) {
  var disabled = _ref.disabled,
      buttonType = _ref.buttonType,
      loading = _ref.loading,
      textColor = _ref.textColor;
  return (
    /*#__PURE__*/
    css(TYPOGRAPHY_STYLE.button, ";appearance:none;border-radius:0;border-style:solid;border-width:2px;cursor:pointer;display:block;margin:0;max-width:325px;min-height:52px;min-width:208px;opacity:1;padding:0 ", SPACING.base, ";position:relative;transition:all ", ANIMATION.defaultTiming, " ease-in-out;text-decoration:none;width:max-content;&:hover{transition:all ", ANIMATION.defaultTiming, " ease-in-out;}&:active,&:focus{outline:none;}", parseTheme(disabled, buttonType, loading), ";", loading && loadingStyles, ";", !!textColor && !disabled && "\n    color: ".concat(textColor, ";\n    fill: ").concat(textColor, ";\n  "))
  );
};

export var ButtonBase =
/*#__PURE__*/
styled("button", {
  target: "ettnh90"
})(baseButtonStyles);
export var ButtonContents =
/*#__PURE__*/
styled("div", {
  target: "ettnh91"
})("align-items:center;display:flex;height:100%;justify-content:center;padding:", SPACING.small, " 0;transition:transform ", ANIMATION.defaultTiming, ";width:100%;", function (_ref2) {
  var loading = _ref2.loading,
      hasIcon = _ref2.hasIcon;

  if (loading && hasIcon) {
    return (
      /*#__PURE__*/
      css("transform:translateX(-30px);")
    );
  } else if (loading && !hasIcon) {
    return (
      /*#__PURE__*/
      css("transform:translateX(-15px);")
    );
  }

  return (
    /*#__PURE__*/
    css("transform:translateX(0);")
  );
}, ";& > svg{opacity:", function (_ref3) {
  var loading = _ref3.loading;
  return loading ? 0 : 1;
}, ";transition:opacity ", ANIMATION.defaultTiming, ";margin-right:", SPACING.small, ";margin-top:-5px;}");
/* eslint-disable indent */

export var ButtonText =
/*#__PURE__*/
styled("span", {
  target: "ettnh92"
})("line-height:1.5;margin:0;padding-top:2px;", function (_ref4) {
  var loading = _ref4.loading,
      hasIcon = _ref4.hasIcon;

  if (loading && !hasIcon) {
    return (
      /*#__PURE__*/
      css("padding-left:", SPACING.small, ";")
    );
  }
}, ";");
/* eslint-enable indent */