import React from 'react';
import renderer from 'react-test-renderer';
import Container from './index';
describe('Container UI snapshots', function () {
  test('renders basic container', function () {
    var component = renderer.create(React.createElement(Container, null, "Container Content"));
    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
  test('renders container helper components', function () {
    var component = renderer.create(React.createElement(Container, null, React.createElement(Container.Section, null, "Section 1"), React.createElement(Container.Divider, null), React.createElement(Container.Image, {
      src: "https://images-na.ssl-images-amazon.com/images/I/61E0pFPOl7L._SL1500_.jpg"
    }), React.createElement(Container.Section, null, React.createElement("div", null, "Section 2"))));
    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
  test('renders clickable container', function () {
    var component = renderer.create(React.createElement(Container, {
      type: "clickable"
    }, "Container Content"));
    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
  test('renders message type container', function () {
    var component = renderer.create(React.createElement(Container, {
      type: "message"
    }, "Container Content"));
    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
});