import styled from '@emotion/styled';
import Typography from '../typography';
import { ANIMATION, BREAKPOINTS, COLORS, MEDIA_QUERIES, SPACING, Z_SCALE } from '../../constants';
export var Overlay =
/*#__PURE__*/
styled("div", {
  target: "en99g7h0"
})("background-color:", COLORS.overlay, ";bottom:0;left:0;position:fixed;right:0;top:0;z-index:", Z_SCALE.modal, ";overflow-y:auto;");
export var ModalContainer =
/*#__PURE__*/
styled("div", {
  target: "en99g7h1"
})("background-color:", COLORS.white, ";height:100vh;margin:0 auto;max-width:", BREAKPOINTS.sm, "px;overflow-y:auto;position:relative;width:100%;", MEDIA_QUERIES.smUp, "{height:auto;margin-bottom:", SPACING.base, ";margin-top:", SPACING.base, ";}");
export var CloseIconContainer =
/*#__PURE__*/
styled("div", {
  target: "en99g7h2"
})("cursor:pointer;position:absolute;right:", SPACING.small, ";top:", SPACING.small, ";transform:scale(1,1);transition:all ", ANIMATION.defaultTiming, ";z-index:2000;padding:", SPACING.small, ";background-color:", COLORS.white, ";border-radius:50%;&:hover{transform:scale(1.1,1.1);}");
export var CopyContainer =
/*#__PURE__*/
styled("div", {
  target: "en99g7h3"
})("padding:", SPACING.medium, " ", SPACING.base, ";", MEDIA_QUERIES.mdUp, "{padding:", SPACING.large, " ", SPACING.medium, ";}");
export var Title =
/*#__PURE__*/
styled(Typography.Title, {
  target: "en99g7h4"
})("margin-bottom:", SPACING.small, ";text-align:left;");
export var Body =
/*#__PURE__*/
styled("div", {
  target: "en99g7h5"
})("color:", COLORS.purple80, ";text-align:left;&:not(:last-child){margin-bottom:", SPACING.base, ";}p > a{text-transform:none;}");
export var Footer =
/*#__PURE__*/
styled("div", {
  target: "en99g7h6"
})("margin-bottom:", SPACING.xsmall, ";");