import styled from '@emotion/styled';
import Typography from '../typography';
import { COLORS, MEDIA_QUERIES, SPACING } from '../../constants';
export var ModalContainer =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n0"
})(".ReactModalPortal{position:relative;z-index:99999999;}");
export var ModalOverlay =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n1"
})("-webkit-overflow-scrolling:touch;background-color:", COLORS.overlay, ";bottom:0;cursor:", function (_ref) {
  var canBeClosed = _ref.canBeClosed;
  return canBeClosed ? 'pointer' : 'auto';
}, ";left:0;overflow-x:", function (_ref2) {
  var isVisible = _ref2.isVisible;
  return isVisible ? 'hidden' : 'auto';
}, ";overflow-y:auto;position:fixed;right:0;top:0;z-index:1000;padding:", SPACING.medium, ";", MEDIA_QUERIES.lgUp, "{padding:", SPACING.xxlarge, ";}");

var determineScale = function determineScale(_ref3) {
  var isVisible = _ref3.isVisible;
  return isVisible ? 'scale(1, 1)' : 'scale(0.95, 0.95)';
};

export var ModalBox =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n2"
})("background-color:", COLORS.white, ";cursor:auto;display:inline-block;left:50%;margin:0 auto;max-width:100%;position:relative;text-align:center;transform:translateX(-50%) ", determineScale, ";");
export var ModalCloseIcon =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n3"
})("cursor:pointer;opacity:0.75;position:absolute;right:", SPACING.small, ";top:", SPACING.small, ";transform:scale(1,1);transition:all 350ms;z-index:2000;&:hover{opacity:1;transform:scale(1.1,1.1);}");
export var ContentContainer =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n4"
})("max-width:600px;position:relative;overflow-y:auto;overflow-x:hidden;padding:", SPACING.medium, " ", SPACING.large, ";", MEDIA_QUERIES.mdUp, "{padding:", function (_ref4) {
  var tight = _ref4.tight;
  return tight ? SPACING.large : "".concat(SPACING.xlarge, " 5rem");
}, ";}");
export var Title =
/*#__PURE__*/
styled(Typography.Title, {
  target: "e1kvwa1n5"
})("margin-bottom:", SPACING.base, ";", MEDIA_QUERIES.mdUp, "{margin-bottom:", SPACING.large, ";}");
export var Body =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n6"
})("color:", COLORS.primary, ";text-align:", function (_ref5) {
  var align = _ref5.align;
  return align || 'left';
}, ";p > a{text-transform:none;}");
export var Footer =
/*#__PURE__*/
styled("div", {
  target: "e1kvwa1n7"
})("padding-top:", SPACING.base, ";", MEDIA_QUERIES.mdUp, "{padding-top:", SPACING.large, ";}", function (_ref6) {
  var align = _ref6.align;
  return !!align && "\n      display: flex;\n      flex-direction: row;\n      justify-content: ".concat(align, ";\n    ");
}, ";");