import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import CheckmarkIcon from '../../svgs/icons/checkmark-icon.svg';
import { COLORS } from '../../constants';
import { OuterContainer, Selector, SelectorContainer, TextContainer, selectorIcon } from './style';
var propTypes = {
  checked: PropTypes.bool.isRequired,
  onClick: PropTypes.func,
  children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]),
  type: PropTypes.oneOf(['primary', 'secondary']),
  selector: PropTypes.oneOf(['radio', 'checkbox'])
};
var defaultProps = {
  onClick: function onClick() {},
  type: 'primary',
  selector: 'radio'
};

var SelectorButton = function SelectorButton(_ref) {
  var checked = _ref.checked,
      onClick = _ref.onClick,
      children = _ref.children,
      type = _ref.type,
      selector = _ref.selector,
      rest = _objectWithoutProperties(_ref, ["checked", "onClick", "children", "type", "selector"]);

  return React.createElement(OuterContainer, _extends({
    onClick: onClick,
    onKeyPress: onClick,
    tabIndex: "0",
    selector: selector
  }, rest), React.createElement(SelectorContainer, null, React.createElement(CheckmarkIcon, {
    className:
    /*#__PURE__*/
    _css("color:", checked ? COLORS.white : 'transparent', ";", selectorIcon, ";"),
    width: 11,
    height: 11
  }), React.createElement(Selector, {
    type: type,
    checked: checked,
    selector: selector
  })), children && React.createElement(TextContainer, null, children));
};

SelectorButton.propTypes = propTypes;
SelectorButton.defaultProps = defaultProps;
export default SelectorButton;