import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { COLORS, SPACING, ANIMATION, BOX_SHADOWS } from '../../constants';
export var SelectorContainer =
/*#__PURE__*/
styled("div", {
  target: "ec3li930"
})("align-items:center;display:flex;justify-content:center;position:relative;");
export var OuterContainer =
/*#__PURE__*/
styled("div", {
  target: "ec3li931"
})("align-items:center;cursor:pointer;display:flex;justify-content:flex-start;margin-bottom:20px;:focus{outline:none;", SelectorContainer, "{box-shadow:", BOX_SHADOWS.focusSecondary, ";", function (_ref) {
  var selector = _ref.selector;
  return (
    /*#__PURE__*/
    css("border-radius:", selector === 'checkbox' ? '4px' : '100%', ";")
  );
}, "}}");
export var selectorIcon =
/*#__PURE__*/
css("cursor:pointer;fill:currentColor;left:50%;position:absolute;top:50%;transform:translate(-50%,-50%);");

var primarySelectorStyle = function primarySelectorStyle(checked) {
  return (
    /*#__PURE__*/
    css("background-color:", checked ? COLORS.primary : 'transparent', ";border-color:", COLORS.primary, ";")
  );
};

var secondarySelectorStyle = function secondarySelectorStyle(checked) {
  return (
    /*#__PURE__*/
    css("background-color:", checked ? COLORS.secondary : 'transparent', ";border-color:", checked ? COLORS.secondary : COLORS.primary, ";")
  );
};

export var Selector =
/*#__PURE__*/
styled("div", {
  target: "ec3li932"
})("align-items:center;appearance:none;border:2px solid;cursor:pointer;display:flex;height:", SPACING.medium, ";justify-content:center;transition:background-color ", ANIMATION.defaultTiming, ";width:", SPACING.medium, ";", function (_ref2) {
  var selector = _ref2.selector;
  return (
    /*#__PURE__*/
    css("border-radius:", selector === 'checkbox' ? '4px' : '100%', ";")
  );
}, " ", function (_ref3) {
  var type = _ref3.type,
      checked = _ref3.checked;

  switch (type) {
    case 'primary':
      return primarySelectorStyle(checked);

    case 'secondary':
      return secondarySelectorStyle(checked);

    default:
      return primarySelectorStyle(checked);
  }
}, " &:active,&:focus{outline:none;}");
export var TextContainer =
/*#__PURE__*/
styled("p", {
  target: "ec3li933"
})("margin-left:", SPACING.small, ";margin-top:", SPACING.xxsmall, ";min-width:125px;text-align:left;");